// $Id: test-trusted-ip-collection.C,v 1.1 2003/07/23 08:38:13 dvermeir Exp $

#include <list>
#include <fstream>
#include <dvutil/nocomment.h>
#include <dvutil/ntostr.h>
#include "test-trusted-ip-collection.h"

Dv::Ticket::TrustedIpCollection::TrustedIpCollection(const std::string& fn)
  throw (std::runtime_error): container_() {
std::ifstream ifs(fn.c_str());

if (! ifs)
  throw std::runtime_error(fn + ": cannot open");

Dv::Util::nocommentstream ncifs(ifs);

std::string ip;
while (getline(ncifs,ip))
  if (ip.size())
    container_.push_back(Dv::Util::strim(ip));
}

bool
Dv::Ticket::TrustedIpCollection::trusted(const std::string& address) const throw () {
for (Container::const_iterator i=container_.begin(); i!=container_.end(); ++i)
  if ( address.find(*i) == 0 )
    return true;
return false;
}
