// $Id: test-valid.C,v 1.2 2003/08/08 09:51:00 dvermeir Exp $

#include <string>
#include <iostream>
#include <stdexcept>
#include <dvxml/xml.h>


const std::string usage("test-valid dtd-file xml-file");

int
main(int argc, char* argv[]) {

try {
  if (argc!=3)
    throw std::runtime_error(usage);

  const std::string dtd_fn(argv[1]);
  const std::string xml_fn(argv[2]);

  Dv::Util::File xml_f(xml_fn);
  Dv::Xml::Document doc(xml_f);

  if (! doc.valid(dtd_fn) )
    throw std::runtime_error(xml_fn + ": not valid w.r.t. " + dtd_fn);
  }
catch (std::exception& e) {
  std::cerr << e.what() << std::endl;
  return 1;
  }
return 0;
}
